export declare function isTailwindVersion4(): boolean;
export declare function excludeClassName<T extends Record<string, unknown>>(slotProps: T): {
    [K in keyof T]: T[K] extends infer R ? Omit<NonNullable<R>, 'className'> : never;
};
