import type { ForwardedRef } from 'react';
import type { ReactTags, DynamicComponentProps, Difference, GeneratorInput } from '../base/types.cjs';
type BoxRootVariants = {};
type BoxRootProps<T extends ReactTags> = Difference<DynamicComponentProps<T>, BoxRootVariants> & BoxRootVariants;
export declare const Box: <T extends keyof JSX.IntrinsicElements = "div">(props: Difference<DynamicComponentProps<T>, BoxRootVariants> & {
    ref?: ForwardedRef<unknown> | undefined;
}) => JSX.Element;
export declare const generatorInputs: GeneratorInput[];
export {};
