import type { ComponentProps, ForwardedRef } from 'react';
import type { ReactTags, DynamicComponentProps, Difference, GeneratorInput } from '../base/types';
type ListItemContentRootVariants = {} & {
    slotProps?: {
        root?: ComponentProps<'div'>;
    };
};
type ListItemContentRootProps<T extends ReactTags> = Difference<DynamicComponentProps<T>, ListItemContentRootVariants> & ListItemContentRootVariants;
export declare const ListItemContent: <T extends keyof JSX.IntrinsicElements = "div">(props: Difference<DynamicComponentProps<T>, {
    slotProps?: {
        root?: import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement> | undefined;
    } | undefined;
}> & {
    slotProps?: {
        root?: import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement> | undefined;
    } | undefined;
} & {
    ref?: ForwardedRef<unknown> | undefined;
}) => JSX.Element;
export declare const generatorInputs: GeneratorInput[];
export {};
