import type { ComponentProps, ForwardedRef } from 'react';
import type { ReactTags, DynamicComponentProps, Difference, GeneratorInput } from '../base/types';
type ListItemDecoratorRootVariants = {} & {
    slotProps?: {
        root?: ComponentProps<'span'>;
    };
};
type ListItemDecoratorRootProps<T extends ReactTags> = Difference<DynamicComponentProps<T>, ListItemDecoratorRootVariants> & ListItemDecoratorRootVariants;
export declare const ListItemDecorator: <T extends keyof JSX.IntrinsicElements = "span">(props: Difference<DynamicComponentProps<T>, {
    slotProps?: {
        root?: import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLSpanElement>, HTMLSpanElement> | undefined;
    } | undefined;
}> & {
    slotProps?: {
        root?: import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLSpanElement>, HTMLSpanElement> | undefined;
    } | undefined;
} & {
    ref?: ForwardedRef<unknown> | undefined;
}) => JSX.Element;
export declare const generatorInputs: GeneratorInput[];
export {};
