import type { ComponentProps, ForwardedRef } from 'react';
import type { ReactTags, DynamicComponentProps, Difference, BaseVariants, GeneratorInput } from '../base/types';
type SheetRootVariants = Pick<BaseVariants, 'color' | 'variant'> & {} & {
    slotProps?: {
        root?: ComponentProps<'div'>;
    };
};
type SheetRootProps<T extends ReactTags> = Difference<DynamicComponentProps<T>, SheetRootVariants> & SheetRootVariants;
export declare const Sheet: <T extends keyof JSX.IntrinsicElements = "div">(props: Difference<DynamicComponentProps<T>, SheetRootVariants> & Pick<BaseVariants, "color" | "variant"> & {
    slotProps?: {
        root?: import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement> | undefined;
    } | undefined;
} & {
    ref?: ForwardedRef<unknown> | undefined;
}) => JSX.Element;
export declare const generatorInputs: GeneratorInput[];
export {};
