import type { ComponentProps, ForwardedRef } from 'react';
import type { ReactTags, DynamicComponentProps, Difference, BaseVariants, GeneratorInput } from '../base/types.cjs';
export declare const AvatarGroupContext: import("react").Context<Partial<BaseVariants>>;
type AvatarGroupRootVariants = BaseVariants & {} & {
    slotProps?: {
        root?: ComponentProps<'div'>;
    };
};
type AvatarGroupRootProps<T extends ReactTags> = Difference<DynamicComponentProps<T>, AvatarGroupRootVariants> & AvatarGroupRootVariants;
export declare const AvatarGroup: <T extends keyof JSX.IntrinsicElements = "div">(props: Difference<DynamicComponentProps<T>, AvatarGroupRootVariants> & BaseVariants & {
    slotProps?: {
        root?: import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement> | undefined;
    } | undefined;
} & {
    ref?: ForwardedRef<unknown> | undefined;
}) => JSX.Element;
export declare const generatorInputs: GeneratorInput[];
export {};
