import type { ReactNode } from 'react';
import type { BaseVariants, GeneratorInput } from '../../base/types';
export declare function adaptClassName(node: ReactNode, className: string): ReactNode;
export declare function iconClassVariants(props?: Pick<BaseVariants, 'color' | 'size'>): string;
/**
 * A shortcut for the `adaptClassName` function.
 */
export declare function adaptAsIcon(node: ReactNode, props?: Pick<BaseVariants, 'color' | 'size'>): ReactNode;
export declare const generatorInputs: GeneratorInput[];
